import type HasHelpData from '../Interfaces/HasHelpData';
/**
 * Help class.
 *
 * @since 1.0.0
 */
export default class Help implements HasHelpData {
    readonly type: string;
    readonly content: string;
    /**
     * Initializing help.
     *
     * @param help  Help data.
     *
     * @since 1.0.0
     */
    constructor(help: HasHelpData);
}
