import Text from '../Components/Inputs/Text.svelte';
import Number from '../Components/Inputs/Number.svelte';
import Textarea from '../Components/Inputs/Textarea.svelte';
import Range from '../Components/Inputs/Range.svelte';
import Checkbox from '../Components/Inputs/Checkbox.svelte';
import ChoiceSelect from '../Components/Inputs/ChoiceSelect.svelte';
import ChoiceImage from '../Components/Inputs/ChoiceImage.svelte';
import ChoiceRadio from '../Components/Inputs/ChoiceRadio.svelte';
export default class Registration {
    elements = [];
    constructor() {
        this.registerDefaults();
    }
    addElement(name, input) {
        this.elements[name] = input;
    }
    getElement(name) {
        return this.elements[name];
    }
    registerDefaults() {
        this.addElement('text', Text);
        this.addElement('textarea', Textarea);
        this.addElement('number', Number);
        this.addElement('range', Range);
        this.addElement('checkbox', Checkbox);
        this.addElement('choice-select', ChoiceSelect);
        this.addElement('choice-image', ChoiceImage);
        this.addElement('choice-radio', ChoiceRadio);
    }
}
