import type HasSubmissionData from "../Interfaces/HasSubmissionData";
/**
 * Submission class.
 *
 * @since 1.0.0
 */
export default class Submission {
    /**
     * Submission data.
     *
     * @param submissionData Submission data.
     *
     * @since 1.0.0
     */
    constructor(submissionData: HasSubmissionData);
    /**
     * Submit data.
     *
     * @param data
     *
     * @since 1.0.0
     */
    submit(data: []): void;
}
