import type HasValidationData from '../Interfaces/HasValidationData';
/**
 * Validator class.
 *
 * @since 1.0.0
 */
export default class Validator {
    private value;
    private validations;
    private errors;
    /**
     * Constructor.
     *
     * @param value      A value which have to be validated.
     * @param validation Validation rules array.
     * @param required   Is value required or not.
     *
     * @since 1.0.0
     */
    constructor(value: any, validations: HasValidationData[]);
    /**
     * Doing check for given values.
     *
     * @since 1.0.0
     */
    check(): string[];
}
